Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep
A C D E F G H I M N O P Q R S T W

A

addCookie(Cookie) - Method in class org.enhydra.servlet.debug.ResponseRecord
Adds the specified cookie to the response.
addDateHeader(String, long) - Method in class org.enhydra.servlet.debug.ResponseRecord
 
addHeader(String, String) - Method in class org.enhydra.servlet.debug.ResponseRecord
 
addIntHeader(String, int) - Method in class org.enhydra.servlet.debug.ResponseRecord
 
addRecord(ServletTransactionRecord) - Method in class org.enhydra.servlet.debug.ServletRecordQueue
Add a record to the queue; if this forces a record out, it is returned.
addTrace(String) - Method in class org.enhydra.servlet.debug.InputStreamRecord
 
addTrace(String) - Method in class org.enhydra.servlet.debug.OutputStreamRecord
 
addTrace(String) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
addTrace(String) - Method in class org.enhydra.servlet.debug.RequestRecord
Add a string to the trace buffer.
addTrace(String) - Method in class org.enhydra.servlet.debug.ResponseRecord
Add a string to the trace buffer.
addTrace(String) - Method in class org.enhydra.servlet.debug.ServletTransactionRecord
Add a string to the trace log.
addTransactionCallback(ServletRecordCallback, boolean) - Method in class org.enhydra.servlet.debug.DebugManager
Registered to be called when a servlet transaction is queued.
addTransactionRecord(ServletTransactionRecord) - Method in class org.enhydra.servlet.debug.DebugManager
Add a servlet transaction to the end of the queue.
authType - Variable in class org.enhydra.servlet.debug.RequestRecord
 
available() - Method in class org.enhydra.servlet.debug.InputStreamRecord
 

C

callbacks - Variable in class org.enhydra.servlet.debug.DebugManager
List of objects to call on servlet debug events.
characterEncoding - Variable in class org.enhydra.servlet.debug.RequestRecord
 
checkError() - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
clear() - Method in class org.enhydra.servlet.debug.ServletRecordQueue
Clear all entries from the queue.
clearRecordQueue() - Method in class org.enhydra.servlet.debug.DebugManager
Clear all records from the queue.
clearRecordsEvent() - Method in interface org.enhydra.servlet.debug.ServletRecordCallback
Function called when all existing records are cleared from the queue.
close() - Method in class org.enhydra.servlet.debug.InputStreamRecord
 
close() - Method in class org.enhydra.servlet.debug.OutputStreamRecord
 
close() - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
completed() - Method in class org.enhydra.servlet.debug.RequestRecord
Flag the request as completed.
completed() - Method in class org.enhydra.servlet.debug.ResponseRecord
Flag the response as completed.
containsHeader(String) - Method in class org.enhydra.servlet.debug.ResponseRecord
Record call and pass on to actual response object..
contentLength - Variable in class org.enhydra.servlet.debug.RequestRecord
 
contentLength - Variable in class org.enhydra.servlet.debug.ResponseRecord
 
contentType - Variable in class org.enhydra.servlet.debug.RequestRecord
 
contentType - Variable in class org.enhydra.servlet.debug.ResponseRecord
 
cookies - Variable in class org.enhydra.servlet.debug.RequestRecord
 
cookies - Variable in class org.enhydra.servlet.debug.ResponseRecord
 
counter - Variable in class org.enhydra.servlet.debug.InputStreamRecord
 
counter - Variable in class org.enhydra.servlet.debug.OutputStreamRecord
 
counter - Variable in class org.enhydra.servlet.debug.PrintWriterRecord
 
current - Variable in class org.enhydra.servlet.debug.ServletRecordQueue.QueueEnumerator
 
currentSize - Variable in class org.enhydra.servlet.debug.ServletRecordQueue
Current size of queue.

D

DebugManager - class org.enhydra.servlet.debug.DebugManager.
Servlet debug manager for monitoring servlet I/O.
DebugManager(String, int, boolean) - Constructor for class org.enhydra.servlet.debug.DebugManager
Construct an new servlet debug manager and associate it with a servlet.
dateFormatter - Static variable in class org.enhydra.servlet.debug.ResponseRecord
Object for formatting dates.
dateParsers - Static variable in class org.enhydra.servlet.debug.RequestRecord
Parsers for legal formats for data headers.
debugManager - Variable in class org.enhydra.servlet.debug.RecorderServiceInterceptor
The debug manager object this instance is associated with.
debugManager - Variable in class org.enhydra.servlet.debug.ServletRecorderFilter
Debug manager that this object is associated with.
disable() - Method in class org.enhydra.servlet.debug.DebugManager
Disable recording servlet transactions.
dumpContents(ServletRecordCallback) - Method in class org.enhydra.servlet.debug.ServletRecordQueue
FIX: I need javadoc

E

enable() - Method in class org.enhydra.servlet.debug.DebugManager
Enable recording servlet transactions.
enabled - Variable in class org.enhydra.servlet.debug.DebugManager
Current monitoring state.
encodeRedirectURL(String) - Method in class org.enhydra.servlet.debug.ResponseRecord
 
encodeRedirectUrl(String) - Method in class org.enhydra.servlet.debug.ResponseRecord
Encodes the specified URL for use in the sendRedirect method or, if encoding is not needed, returns the URL unchanged.
encodeURL(String) - Method in class org.enhydra.servlet.debug.ResponseRecord
 
encodeUrl(String) - Method in class org.enhydra.servlet.debug.ResponseRecord
Encodes the specified URL by including the session ID in it, or, if encoding is not needed, returns the URL unchanged.
error - Variable in class org.enhydra.servlet.debug.ServletTransactionRecord
The exception or error that the servlet threw.

F

filter - Variable in class org.enhydra.servlet.debug.DebugManager
Filter that is used by this DebugManager.
filterID - Variable in class org.enhydra.servlet.debug.DebugManager
 
findById(int) - Method in class org.enhydra.servlet.debug.ServletRecordQueue
Find an entry in the queue based on tranaction record id.
flush() - Method in class org.enhydra.servlet.debug.OutputStreamRecord
 
flush() - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
flushBuffer() - Method in class org.enhydra.servlet.debug.ResponseRecord
 

G

getAttribuestAsStringBuffer(HttpSession) - Method in class org.enhydra.servlet.debug.RecorderServiceInterceptor
 
getAttribute(String) - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and pass on to actual request object.
getAttributeNames() - Method in class org.enhydra.servlet.debug.RequestRecord
 
getAuthType() - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and return cached value.
getBufferSize() - Method in class org.enhydra.servlet.debug.ResponseRecord
 
getCharacterEncoding() - Method in class org.enhydra.servlet.debug.RequestRecord
Returns the character set encoding for the input of this request.
getCharacterEncoding() - Method in class org.enhydra.servlet.debug.ResponseRecord
Returns the character set encoding for the input of this request.
getContentLength() - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and return cached value.
getContentLength() - Method in class org.enhydra.servlet.debug.ResponseRecord
Returns the size of the response entity data, or -1 if not known.
getContentType() - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and return cached value.
getContentType() - Method in class org.enhydra.servlet.debug.ResponseRecord
Returns the Internet Media Type of the response entity data, or null if not known.
getContents() - Method in class org.enhydra.servlet.debug.ServletRecordQueue
Get the current contents of the queue.
getContextPath() - Method in class org.enhydra.servlet.debug.RequestRecord
 
getCookies() - Method in class org.enhydra.servlet.debug.RequestRecord
Gets the array of cookies found in this request.
getCookies() - Method in class org.enhydra.servlet.debug.ResponseRecord
Returns an array of cookies to be set by this response.
getDateHeader(String) - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and return cached value.
getHeader(String) - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and return cached value.
getHeader(String) - Method in class org.enhydra.servlet.debug.ResponseRecord
Returns the values of the specified header for the response as an array of strings, or a 0 length array if the named header does not exist.
getHeaderNames() - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and return cached value.
getHeaderNames() - Method in class org.enhydra.servlet.debug.ResponseRecord
Returns an array of strings representing the header names for this response.
getHeaders(String) - Method in class org.enhydra.servlet.debug.RequestRecord
 
getId() - Method in class org.enhydra.servlet.debug.ServletRecorderFilter
Get the symbolic id.
getId() - Method in class org.enhydra.servlet.debug.ServletTransactionRecord
Get the id of this object Id is not set until the object is added to the queue.
getInputStream() - Method in class org.enhydra.servlet.debug.RequestRecord
Returns a wrapper around the real input stream.
getIntHeader(String) - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and return cached value.
getLocale() - Method in class org.enhydra.servlet.debug.RequestRecord
 
getLocale() - Method in class org.enhydra.servlet.debug.ResponseRecord
 
getLocales() - Method in class org.enhydra.servlet.debug.RequestRecord
 
getMethod() - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and return cached value.
getOutputStream() - Method in class org.enhydra.servlet.debug.ResponseRecord
Returns a wrapper around the real output stream.
getParameter(String) - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and return cached value.
getParameterNames() - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and return cached value.
getParameterValues(String) - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and return cached value.
getPathInfo() - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and return cached value.
getPathTranslated() - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and return cached value.
getPostSessionString() - Method in class org.enhydra.servlet.debug.ServletTransactionRecord
Get the string description of the session data after the request was processed.
getPreSessionString() - Method in class org.enhydra.servlet.debug.ServletTransactionRecord
Get the string description of the session data before the request was processed.
getProtocol() - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and return cached value.
getQueryString() - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and return cached value.
getReader() - Method in class org.enhydra.servlet.debug.RequestRecord
Returns a buffered reader for reading text in the request body.
getRealPath(String) - Method in class org.enhydra.servlet.debug.RequestRecord
Pass on to actual request object.
getRemoteAddr() - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and return cached value.
getRemoteHost() - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and return cached value.
getRemoteUser() - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and return cached value.
getRequestDispatcher(String) - Method in class org.enhydra.servlet.debug.RequestRecord
 
getRequestRecord() - Method in class org.enhydra.servlet.debug.ServletTransactionRecord
Get request record.
getRequestURI() - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and return cached value.
getRequestedSessionId() - Method in class org.enhydra.servlet.debug.RequestRecord
Gets the session id specified with this request.
getResponseData() - Method in class org.enhydra.servlet.debug.ResponseRecord
Returns the data written to the net, or null if this feature was not enabled (see the constructor).
getResponseRecord() - Method in class org.enhydra.servlet.debug.ServletTransactionRecord
Get response record.
getScheme() - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and return cached value.
getServerName() - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and return cached value.
getServerPort() - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and return cached value.
getServlet() - Method in class org.enhydra.servlet.debug.DebugManager
Get the servlet associated with this object.
getServletName() - Method in class org.enhydra.servlet.debug.ServletTransactionRecord
Get the name of the servlet that was sent this request.
getServletPath() - Method in class org.enhydra.servlet.debug.RequestRecord
Record call and return cached value.
getSession(boolean) - Method in class org.enhydra.servlet.debug.RequestRecord
Get or create a session.
getSession() - Method in class org.enhydra.servlet.debug.RequestRecord
 
getStatusCode() - Method in class org.enhydra.servlet.debug.ResponseRecord
Returns the status code for the response, or -1 if not set.
getStatusMessage() - Method in class org.enhydra.servlet.debug.ResponseRecord
Returns the status message for the response.
getStatusString(int) - Static method in class org.enhydra.servlet.debug.ResponseRecord
Get the status string associated with a status code.
getTotalBytes() - Method in class org.enhydra.servlet.debug.RequestRecord
Returns the number of bytes associated with the response.
getTotalBytes() - Method in class org.enhydra.servlet.debug.ResponseRecord
Returns the number of bytes associated with the response.
getTrace() - Method in class org.enhydra.servlet.debug.ServletTransactionRecord
Get the trace log.
getTransactionRecord(int) - Method in class org.enhydra.servlet.debug.DebugManager
Find a servlet transaction record by id.
getUserPrincipal() - Method in class org.enhydra.servlet.debug.RequestRecord
 
getWriter() - Method in class org.enhydra.servlet.debug.ResponseRecord
Returns a wrapper around the real PrintWriter.

H

hasMoreElements() - Method in class org.enhydra.servlet.debug.ServletRecordQueue.QueueEnumerator
 
head - Variable in class org.enhydra.servlet.debug.ServletRecordQueue
Queue head of transaction records.
headers - Variable in class org.enhydra.servlet.debug.RequestRecord
 
headers - Variable in class org.enhydra.servlet.debug.ResponseRecord
 

I

InputStreamRecord - class org.enhydra.servlet.debug.InputStreamRecord.
All calls are added to the trace log in the associated request ojbect.
InputStreamRecord(RequestRecord, ServletInputStream) - Constructor for class org.enhydra.servlet.debug.InputStreamRecord
Wrap around the ServletInputStream realStream, and log all the calls made to it to the trace string in requestRecord.
id - Variable in class org.enhydra.servlet.debug.ServletTransactionRecord
Unique id of this transaction.
inputStreamRecord - Variable in class org.enhydra.servlet.debug.RequestRecord
The wrapper around the input stream, logs calls.
isCommitted() - Method in class org.enhydra.servlet.debug.ResponseRecord
 
isEnabled() - Method in class org.enhydra.servlet.debug.DebugManager
Determine if servlets monitoring is enabled.
isRequestedSessionIdFromCookie() - Method in class org.enhydra.servlet.debug.RequestRecord
Checks whether the session id specified by this request came in as a cookie.
isRequestedSessionIdFromURL() - Method in class org.enhydra.servlet.debug.RequestRecord
 
isRequestedSessionIdFromUrl() - Method in class org.enhydra.servlet.debug.RequestRecord
Checks whether the session id specified by this request came in as part of the URL.
isRequestedSessionIdValid() - Method in class org.enhydra.servlet.debug.RequestRecord
Checks whether this request is associated with a session that is valid in the current session context.
isSecure() - Method in class org.enhydra.servlet.debug.RequestRecord
 
isUserInRole(String) - Method in class org.enhydra.servlet.debug.RequestRecord
 

M

mark(int) - Method in class org.enhydra.servlet.debug.InputStreamRecord
 
markSupported() - Method in class org.enhydra.servlet.debug.InputStreamRecord
 
maxSize - Variable in class org.enhydra.servlet.debug.ServletRecordQueue
Maximum size of queue.
maxTraces - Static variable in class org.enhydra.servlet.debug.InputStreamRecord
 
maxTraces - Static variable in class org.enhydra.servlet.debug.OutputStreamRecord
 
maxTraces - Static variable in class org.enhydra.servlet.debug.PrintWriterRecord
 
method - Variable in class org.enhydra.servlet.debug.RequestRecord
 

N

next - Variable in class org.enhydra.servlet.debug.ServletTransactionRecord
Linked used for managing the record queue.
nextElement() - Method in class org.enhydra.servlet.debug.ServletRecordQueue.QueueEnumerator
 
nextId - Static variable in class org.enhydra.servlet.debug.ServletRecorderFilter
Next id number for all filters of this class.
nextTransactionId - Variable in class org.enhydra.servlet.debug.ServletRecordQueue
Sequential transaction id to assign.
numCallbacks - Variable in class org.enhydra.servlet.debug.DebugManager
Number of valid entries in callbacks.

O

OutputStreamRecord - class org.enhydra.servlet.debug.OutputStreamRecord.
This class is used to trace the calls to print() and println() and, optionally, to save a copy of the data written to the output stream.
OutputStreamRecord(ResponseRecord, boolean, ServletOutputStream) - Constructor for class org.enhydra.servlet.debug.OutputStreamRecord
All calls will also be logged to the trace string via the ResponseRecord passed in.
org.enhydra.servlet.debug - package org.enhydra.servlet.debug
 
outputRecordSetup() - Method in class org.enhydra.servlet.debug.ResponseRecord
Setup for recording output.
outputStreamRecord - Variable in class org.enhydra.servlet.debug.ResponseRecord
If we are to capture the data written to the socket, this is the OutputStreamRecord to return when asked for the output stream.

P

PrintWriterRecord - class org.enhydra.servlet.debug.PrintWriterRecord.
This class is used to trace the calls to the output methods of a servlet's PrintWriter and, optionally, to save a copy of the data written to the output stream.
PrintWriterRecord(ResponseRecord, boolean, PrintWriter) - Constructor for class org.enhydra.servlet.debug.PrintWriterRecord
All calls will also be logged to the trace string via the ResponseRecord passed in.
parameters - Variable in class org.enhydra.servlet.debug.RequestRecord
 
pathInfo - Variable in class org.enhydra.servlet.debug.RequestRecord
 
pathTranslated - Variable in class org.enhydra.servlet.debug.RequestRecord
 
postInvoke(Context, Servlet, HttpServletRequest, HttpServletResponse) - Method in class org.enhydra.servlet.debug.RecorderServiceInterceptor
 
postSession - Variable in class org.enhydra.servlet.debug.ServletTransactionRecord
An HTML representaion of the session data after the request was processed.
preInvoke(Context, Servlet, HttpServletRequest, HttpServletResponse) - Method in class org.enhydra.servlet.debug.RecorderServiceInterceptor
Service a request, recording the request input and output.
preSession - Variable in class org.enhydra.servlet.debug.ServletTransactionRecord
An HTML representaion of the session data before the request was processed.
print(String) - Method in class org.enhydra.servlet.debug.OutputStreamRecord
 
print(boolean) - Method in class org.enhydra.servlet.debug.OutputStreamRecord
 
print(char) - Method in class org.enhydra.servlet.debug.OutputStreamRecord
 
print(int) - Method in class org.enhydra.servlet.debug.OutputStreamRecord
 
print(long) - Method in class org.enhydra.servlet.debug.OutputStreamRecord
 
print(float) - Method in class org.enhydra.servlet.debug.OutputStreamRecord
 
print(double) - Method in class org.enhydra.servlet.debug.OutputStreamRecord
 
print(boolean) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
print(char) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
print(int) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
print(long) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
print(float) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
print(double) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
print(char[]) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
print(String) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
print(Object) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
printWriterRecord - Variable in class org.enhydra.servlet.debug.ResponseRecord
If we are to capture the data written to the socket, this is the PrintWriterRecord to return when asked for the PrintWriter.
println() - Method in class org.enhydra.servlet.debug.OutputStreamRecord
 
println(String) - Method in class org.enhydra.servlet.debug.OutputStreamRecord
 
println(boolean) - Method in class org.enhydra.servlet.debug.OutputStreamRecord
 
println(char) - Method in class org.enhydra.servlet.debug.OutputStreamRecord
 
println(long) - Method in class org.enhydra.servlet.debug.OutputStreamRecord
 
println(float) - Method in class org.enhydra.servlet.debug.OutputStreamRecord
 
println(double) - Method in class org.enhydra.servlet.debug.OutputStreamRecord
 
println() - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
println(boolean) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
println(char) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
println(int) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
println(long) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
println(float) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
println(double) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
println(char[]) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
println(String) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
println(Object) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
processHeader(String, String) - Method in class org.enhydra.servlet.debug.ResponseRecord
Special header processing.
processHeader(String, int) - Method in class org.enhydra.servlet.debug.ResponseRecord
Special header processing.
protocol - Variable in class org.enhydra.servlet.debug.RequestRecord
 

Q

queryString - Variable in class org.enhydra.servlet.debug.RequestRecord
 

R

RecorderServiceInterceptor - class org.enhydra.servlet.debug.RecorderServiceInterceptor.
Servlet filter for recording servlet transactions for debug display.
RecorderServiceInterceptor(DebugManager, boolean, String, Servlet) - Constructor for class org.enhydra.servlet.debug.RecorderServiceInterceptor
Construct a transaction recording filter servlet.
RequestRecord - class org.enhydra.servlet.debug.RequestRecord.
HttpServletRequest filter that generate a record of the request that was made.
RequestRecord(HttpServletRequest) - Constructor for class org.enhydra.servlet.debug.RequestRecord
Constructor.
ResponseRecord - class org.enhydra.servlet.debug.ResponseRecord.
HttpServletResponse filter that generate a record of the response that was made.
ResponseRecord(HttpServletResponse, boolean) - Constructor for class org.enhydra.servlet.debug.ResponseRecord
Constructor.
read() - Method in class org.enhydra.servlet.debug.InputStreamRecord
 
read(byte[]) - Method in class org.enhydra.servlet.debug.InputStreamRecord
 
readLine(byte[], int, int) - Method in class org.enhydra.servlet.debug.InputStreamRecord
 
realStream - Variable in class org.enhydra.servlet.debug.InputStreamRecord
 
realStream - Variable in class org.enhydra.servlet.debug.OutputStreamRecord
 
realWriter - Variable in class org.enhydra.servlet.debug.PrintWriterRecord
 
recordQueue - Variable in class org.enhydra.servlet.debug.DebugManager
Queue of transaction records.
remoteAddr - Variable in class org.enhydra.servlet.debug.RequestRecord
 
remoteHost - Variable in class org.enhydra.servlet.debug.RequestRecord
 
remoteUser - Variable in class org.enhydra.servlet.debug.RequestRecord
 
removeAttribute(String) - Method in class org.enhydra.servlet.debug.RequestRecord
 
removeTranactionCallback(ServletRecordCallback) - Method in class org.enhydra.servlet.debug.DebugManager
Remove transaction callback that was created with addTransactionCallback.
request - Variable in class org.enhydra.servlet.debug.RequestRecord
If not null, the actual request object that will handle the request.
requestRecord - Variable in class org.enhydra.servlet.debug.InputStreamRecord
 
requestRecord - Variable in class org.enhydra.servlet.debug.ServletTransactionRecord
Object used to record the request.
requestURI - Variable in class org.enhydra.servlet.debug.RequestRecord
 
reset() - Method in class org.enhydra.servlet.debug.InputStreamRecord
 
reset() - Method in class org.enhydra.servlet.debug.ResponseRecord
 
response - Variable in class org.enhydra.servlet.debug.ResponseRecord
If not null, the actual response object that will handle the response.
responseData - Variable in class org.enhydra.servlet.debug.OutputStreamRecord
 
responseData - Variable in class org.enhydra.servlet.debug.PrintWriterRecord
 
responseData - Variable in class org.enhydra.servlet.debug.ResponseRecord
If we are to capture the data written to the socket, save it here.
responseRecord - Variable in class org.enhydra.servlet.debug.OutputStreamRecord
 
responseRecord - Variable in class org.enhydra.servlet.debug.PrintWriterRecord
 
responseRecord - Variable in class org.enhydra.servlet.debug.ServletTransactionRecord
Object user to record the response.

S

ServletRecordCallback - interface org.enhydra.servlet.debug.ServletRecordCallback.
Interface for objects that get called on transaction record queue changes.
ServletRecordQueue - class org.enhydra.servlet.debug.ServletRecordQueue.
 
ServletRecordQueue(int) - Constructor for class org.enhydra.servlet.debug.ServletRecordQueue
Construct a new queue.
ServletRecordQueue.QueueEnumerator - class org.enhydra.servlet.debug.ServletRecordQueue.QueueEnumerator.
This is a helper class.
ServletRecordQueue.QueueEnumerator(ServletTransactionRecord) - Constructor for class org.enhydra.servlet.debug.ServletRecordQueue.QueueEnumerator
 
ServletRecorderFilter - class org.enhydra.servlet.debug.ServletRecorderFilter.
Servlet transaction filter to record transaction for access via the DebugManager class.
ServletRecorderFilter(DebugManager, boolean, String) - Constructor for class org.enhydra.servlet.debug.ServletRecorderFilter
Construct a new recording tranaction filter.
ServletTransactionRecord - class org.enhydra.servlet.debug.ServletTransactionRecord.
Transaction record that describes a single servlet transaction.
ServletTransactionRecord(String, RequestRecord, ResponseRecord) - Constructor for class org.enhydra.servlet.debug.ServletTransactionRecord
Construct a new servlet transaction record.
saveResponseData - Variable in class org.enhydra.servlet.debug.RecorderServiceInterceptor
Should we save a copy of all the data written to the socket?
saveResponseData - Variable in class org.enhydra.servlet.debug.ResponseRecord
Should we capture the data written to the socket?
saveResponseData - Variable in class org.enhydra.servlet.debug.ServletRecorderFilter
Should we save a copy of all the data written to the response?
scheme - Variable in class org.enhydra.servlet.debug.RequestRecord
 
sendError(int, String) - Method in class org.enhydra.servlet.debug.ResponseRecord
Record call and pass on to actual response object.
sendError(int) - Method in class org.enhydra.servlet.debug.ResponseRecord
Record call and pass on to actual response object.
sendRedirect(String) - Method in class org.enhydra.servlet.debug.ResponseRecord
Record call and pass on to actual response object.
serverName - Variable in class org.enhydra.servlet.debug.RequestRecord
 
serverPort - Variable in class org.enhydra.servlet.debug.RequestRecord
 
servletId - Variable in class org.enhydra.servlet.debug.DebugManager
Servlet being managed.
servletName - Variable in class org.enhydra.servlet.debug.RecorderServiceInterceptor
The name of the underlying real servlet.
servletName - Variable in class org.enhydra.servlet.debug.ServletRecorderFilter
The name of the servlet we are watching.
servletName - Variable in class org.enhydra.servlet.debug.ServletTransactionRecord
The name of the servlet that was sent this request.
servletPath - Variable in class org.enhydra.servlet.debug.RequestRecord
 
setAttribute(String, Object) - Method in class org.enhydra.servlet.debug.RequestRecord
 
setBufferSize(int) - Method in class org.enhydra.servlet.debug.ResponseRecord
 
setContentLength(int) - Method in class org.enhydra.servlet.debug.ResponseRecord
Record call and pass on to actual response object..
setContentType(String) - Method in class org.enhydra.servlet.debug.ResponseRecord
Record call and pass on to actual response object..
setDateHeader(String, long) - Method in class org.enhydra.servlet.debug.ResponseRecord
Record call and pass on to actual response object.
setError(Throwable) - Method in class org.enhydra.servlet.debug.ServletTransactionRecord
Set the exception or error that the servlet threw.
setHeader(String, String) - Method in class org.enhydra.servlet.debug.ResponseRecord
Record call and pass on to actual response object.
setIntHeader(String, int) - Method in class org.enhydra.servlet.debug.ResponseRecord
Record call and pass on to actual response object.
setLocale(Locale) - Method in class org.enhydra.servlet.debug.ResponseRecord
 
setPostSessionString(String) - Method in class org.enhydra.servlet.debug.ServletTransactionRecord
Save a string (html) description of the session data after the request was processed.
setPreSessionString(String) - Method in class org.enhydra.servlet.debug.ServletTransactionRecord
Save a string (html) description of the session data before the request was processed.
setStatus(int, String) - Method in class org.enhydra.servlet.debug.ResponseRecord
Record call and pass on to actual response object..
setStatus(int) - Method in class org.enhydra.servlet.debug.ResponseRecord
Record call and pass on to actual response object.
size() - Method in class org.enhydra.servlet.debug.ServletRecordQueue
Get the current number of items in the queue.
skip(long) - Method in class org.enhydra.servlet.debug.InputStreamRecord
 
statusCode - Variable in class org.enhydra.servlet.debug.ResponseRecord
 
statusMsg - Variable in class org.enhydra.servlet.debug.ResponseRecord
 
stopTracing() - Method in class org.enhydra.servlet.debug.ServletTransactionRecord
Stop tracing.
symId - Variable in class org.enhydra.servlet.debug.ServletRecorderFilter
Symbolic id of filter instance.

T

tail - Variable in class org.enhydra.servlet.debug.ServletRecordQueue
Queue tail of transaction records.
trace - Variable in class org.enhydra.servlet.debug.ServletTransactionRecord
Trace string.
traceEnabled - Variable in class org.enhydra.servlet.debug.ServletTransactionRecord
Is tracing enabled?
transactionRecord - Variable in class org.enhydra.servlet.debug.RequestRecord
Transaction record that this object is associated with.
transactionRecord - Variable in class org.enhydra.servlet.debug.ResponseRecord
Transaction record that this object is associated with.
transactionRecordAddEvent(ServletTransactionRecord, ServletTransactionRecord) - Method in interface org.enhydra.servlet.debug.ServletRecordCallback
Function called on addition of a transaction record to the queue.

W

wrapRequest(HttpServletRequest, HttpServletResponse) - Method in class org.enhydra.servlet.debug.ServletRecorderFilter
 
wrapResponse(HttpServletRequest, HttpServletResponse) - Method in class org.enhydra.servlet.debug.ServletRecorderFilter
 
write(int) - Method in class org.enhydra.servlet.debug.OutputStreamRecord
 
write(byte[]) - Method in class org.enhydra.servlet.debug.OutputStreamRecord
 
write(byte[], int, int) - Method in class org.enhydra.servlet.debug.OutputStreamRecord
 
write(int) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
write(char[]) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
write(char[], int, int) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
write(String) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 
write(String, int, int) - Method in class org.enhydra.servlet.debug.PrintWriterRecord
 

A C D E F G H I M N O P Q R S T W